      SUBROUTINE DRAW(W,DX,DY,NPEN)
      DIMENSION W(3),X(3),Y(3),Z(3)
      DIMENSION A(9),AA(3,3),AAREV(3,3),AAWRK(3,3),AID(3,3),AIN(140)
      DIMENSION ATOMS(4,500),BB(3,3),CD(8,10),   CONT(5),D(3,130)
      DIMENSION DA(3,3),DP(2,130),EV(3,100),FS(3,3,48),KD(5,10),ORGN(3)
      DIMENSION P(3,100),PA(3,3,100),PAC(3,5),PAT(3,3),Q(3,3),REFV(3,3)
      DIMENSION RES(4),RMS(5),SYMB(3,3),       TS(3,48)
      DIMENSION VT(3,4),V1(4),V2(3),V3(3),V4(3),V5(3),V6(3),WRKV(3,3)
      DIMENSION XLNG(3),XO(3),XT(3)
      COMMON NG,A,AA,AAREV,AAWRK,AID,AIN,ATOMS,BB,BRDR,CD,   CONT,D
      COMMON DA,DP,DISP,EDGE,EV,FORE,FS,IN,ITILT,KD,LATM,LTNO,NATOM,NCD
      COMMON NJ,NJ2,NOUT,NSR,NSYM,ORGN,P,PA,PAC,PAT,Q,REFV,RES,RMS,SCAL1
      COMMON SCAL2,SCL,SYMB,TAPER,THETA,       TS,VIEW,VT,V1,V2
      COMMON V3,V4,V5,V6,WRKV,XLNG,XO,XT
      COMMON SHIFTX,SHIFTY
      CHARACTER*6 CHEM(100), TITLE(18)*4, TITLE2(18)*4
      COMMON /LABEL/ CHEM, TITLE, TITLE2
      Y(1)=W(1)+DX
      Y(2)=W(2)+DY
      IF(ITILT)115,140,115
C     ***** ROTATE FOR PERSPECTIVE TITLE *****
  115 Y(3)=XO(3)
      DO 120 I=1,3
  120 Z(I)=Y(I)-VT(I,4)
      DO 130 I=1,3
  130 X(I)=VT(I,1)*Z(1)+VT(I,2)*Z(2)+VT(I,3)*Z(3)+VT(I,4)
      CALL PLTXY(X,Y)
C     ***** CHECK BOUNDRY *****
  140 DO 160 J=1,2
      IF(Y(J)-XLNG(J)+.1)150,150,145
  145 Y(J)=XLNG(J)-.1
  150 IF(Y(J)-.1)155,160,160
  155 Y(J)=.1
  160 CONTINUE
C ***** CHECK FOR OVERLAP *****
      NCQ=0
      CALL LAPDRW(Y,NPEN,NCQ)
      IF(NCQ)  165,165,170
C ***** CALL PLOTTING ROUTINE IF NO OVERLAPPING ELEMENTS ARE STORED ****
  165 CALL SCRIBE(Y,NPEN,LTNO)
  170 RETURN
      END
