      SUBROUTINE F400
C     ***** ATOM LIST FUNCTIONS *****
      DIMENSION A(9),AA(3,3),AAREV(3,3),AAWRK(3,3),AID(3,3),AIN(140)
      DIMENSION ATOMS(4,500),BB(3,3),CD(8,10),   CONT(5),D(3,130)
      DIMENSION DA(3,3),DP(2,130),EV(3,100),FS(3,3,48),KD(5,10),ORGN(3)
      DIMENSION P(3,100),PA(3,3,100),PAC(3,5),PAT(3,3),Q(3,3),REFV(3,3)
      DIMENSION RES(4),RMS(5),SYMB(3,3),       TS(3,48)
      DIMENSION VT(3,4),V1(4),V2(3),V3(3),V4(3),V5(3),V6(3),WRKV(3,3)
      DIMENSION XLNG(3),XO(3),XT(3)
      COMMON NG,A,AA,AAREV,AAWRK,AID,AIN,ATOMS,BB,BRDR,CD,   CONT,D
      COMMON DA,DP,DISP,EDGE,EV,FORE,FS,IN,ITILT,KD,LATM,LTNO,NATOM,NCD
      COMMON NJ,NJ2,NOUT,NSR,NSYM,ORGN,P,PA,PAC,PAT,Q,REFV,RES,RMS,SCAL1
      COMMON SCAL2,SCL,SYMB,TAPER,THETA,       TS,VIEW,VT,V1,V2
      COMMON V3,V4,V5,V6,WRKV,XLNG,XO,XT
      COMMON SHIFTX,SHIFTY
      CHARACTER*6 CHEM(100), TITLE(18)*4, TITLE2(18)*4
      COMMON /LABEL/ CHEM, TITLE, TITLE2
      NG=0
      IF(LATM)402,402,400
  400 DO 401 I=1,LATM
  401 CALL ATOM(ATOMS(1,I),ATOMS(2,I))
  402 IF(MOD(NJ2,10)-1)499,404,403
  403 CALL SEARC
      GO TO 499
C     ***** STORES (401) OR REMOVES (411) RUNS OF ATOMS *****
C     ***** RUN HIERARCHY = ATOM NO./SYM/ A/B/C TRANS. *****
  404 II=1
C     ***** FIND RUNS IN AIN ARRAY *****
  405 T1=AIN(II)
      IF(T1)410,410,420
  410 II=II+1
      IF(140-II)499,405,405
  420 JJ=II
C     ***** SET INITIAL RUN VALUES *****
      M1=T1/100000.
      M2=AMOD(T1,100.)
      M5=AMOD(T1/100.,1000.)
      IF(M5)422,422,423
  422 M5=555
  423 M3=M5/100
      M4=MOD(M5/10,10)
      M5=MOD(M5,10)
  425 JJ=JJ+1
      IF(140-JJ)435,430,430
  430 T2=-AIN(JJ)
      IF(T2)435,425,440
  435 II=JJ-1
C     ***** SET TERMINAL VALUES FOR DEGENERATE RUN *****
      N1=M1
      N2=M2
      N3=M3
      N4=M4
      N5=M5
      GO TO 450
  440 II=JJ
C     ***** SET TERMINAL RUN VALUES *****
      N1=T2/100000.
      N2=AMOD(T2,100.)
      N5=AMOD(T2/100.,1000.)
      IF(N5)445,445,446
  445 N5=555
  446 N3=N5/100
      N4=MOD(N5/10,10)
      N5=MOD(N5,10)
C     ***** LOOP THROUGH ALL RUNS *****
  450 DO 490 L5=M5,N5
      DO 490 L4=M4,N4
      DO 490 L3=M3,N3
      DO 490 L2=M2,N2
      DO 490 L1=M1,N1
      V1(1)=FLOAT(L1)*100000.+FLOAT(L3*10000+L4*1000+L5*100+L2)
      CALL ATOM(V1(1),V1(2))
      IF(NG)455,458,455
  455 CALL ERPNT(V1(1),401)
      GO TO 490
  458 CALL STOR
  490 CONTINUE
      GO TO 410
  499 RETURN
      END
