      SUBROUTINE F900
      DIMENSION X(3),XW(3,5),Y(3),Z(3)
      DIMENSION A(9),AA(3,3),AAREV(3,3),AAWRK(3,3),AID(3,3),AIN(140)
      DIMENSION ATOMS(4,500),BB(3,3),CD(8,10),   CONT(5),D(3,130)
      DIMENSION DA(3,3),DP(2,130),EV(3,100),FS(3,3,48),KD(5,10),ORGN(3)
      DIMENSION P(3,100),PA(3,3,100),PAC(3,5),PAT(3,3),Q(3,3),REFV(3,3)
      DIMENSION RES(4),RMS(5),SYMB(3,3),       TS(3,48)
      DIMENSION VT(3,4),V1(4),V2(3),V3(3),V4(3),V5(3),V6(3),WRKV(3,3)
      DIMENSION XLNG(3),XO(3),XT(3)
      COMMON NG,A,AA,AAREV,AAWRK,AID,AIN,ATOMS,BB,BRDR,CD,   CONT,D
      COMMON DA,DP,DISP,EDGE,EV,FORE,FS,IN,ITILT,KD,LATM,LTNO,NATOM,NCD
      COMMON NJ,NJ2,NOUT,NSR,NSYM,ORGN,P,PA,PAC,PAT,Q,REFV,RES,RMS,SCAL1
      COMMON SCAL2,SCL,SYMB,TAPER,THETA,       TS,VIEW,VT,V1,V2
      COMMON V3,V4,V5,V6,WRKV,XLNG,XO,XT
      COMMON SHIFTX,SHIFTY
      CHARACTER*6 CHEM(100), TITLE(18)*4, TITLE2(18)*4
      COMMON /LABEL/ CHEM, TITLE, TITLE2
C     ***** LABELING FUNCTION SUBROUTINE *****
      ITILT=0
      NJ3=MOD(NJ2,10)
      TH=THETA
      SINTH=SYMB(2,1)
      COSTH=SYMB(1,1)
      ILAST=1
      IF(AIN(2)-11100.)910,910,905
  905 ILAST=2
  910 DO 925 II=1,ILAST
C     ***** OBTAIN WORKING CARTESIAN COORDINATES *****
      CALL XYZ(AIN(II),XW(1,II),2)
      IF(NG)953,925,953
  925 CALL XYZ(AIN(II),XW(1,II+3),3)
      II=1
C     ***** FIND MEAN REFERENCE POINT *****
      DO 930 J=1,3
      T2=XW(J,ILAST)
      T1=XW(J,1)
      XW(J,3)=T2-T1
  930 X(J)=(T2+T1)*.5
C     ***** REFERENCE POINT FOR DIRECTED SYMBOLS *****
      IF(NJ3 .NE. 7) GO TO 933
      DO 931 J=1,3
  931 X(J) = XW(J,2)
      IF(NJ2 .EQ. 7) GO TO 933
      AIN(6) = AIN(5)*(23.0-3.5*(6-NJ3))/7.
      AIN(7) = AIN(5)*.5
C     ***** PERSPECTIVE SCALING FACTOR *****
  933 SCAL=1.
      IF(VIEW)940,940,935
  935 SCAL=VIEW/(VIEW-X(3))
  940 HGT=SCAL*AIN(5)
      IF(NJ2-3)960,950,945
  945 IF(NJ2-7)950,950,960
C     ***** PROJECTED VECTOR BASELINE *****
  950 CALL PLTXY(XW(1,4),V1)
      CALL PLTXY(XW(1,5),V2)
      T1=V2(1)-V1(1)
      T2=V2(2)-V1(2)
      T3=SQRT(T1*T1+T2*T2)
      IF(T3)952,952,955
  952 NG=15
  953 CALL ERPNT  (AIN(II),NJ*100+NJ2)
      GO TO 1199
  955 COSTH=T1/T3
      SINTH=T2/T3
      TH=ARCCOS(COSTH)
      IF(SINTH)958,960,960
  958 TH=-TH
  960 IF(NJ2-13)965,985,985
C     ***** FIND CENTER OF PROJECTED LABEL *****
  965 Y(1)=SCAL*(X(1)+AIN(6)*COSTH-AIN(7)*SINTH)+XO(1)
      Y(2)=SCAL*(X(2)+AIN(6)*SINTH+AIN(7)*COSTH)+XO(2)
      Y(3)=0.
C     ***** CHECK FOR LEGEND RESET *****
      DO 980 J=1,2
      T1=AIN(J+2)
      IF(T1)975,980,970
  970 Y(J)=T1
      GO TO 980
  975 Y(J)=XLNG(J)+T1
  980 CONTINUE
C     ***** SET PARAMETERS FOR INDIVIDUAL FUNCTIONS *****
  985 GO TO(990,995,995,1000,1000,1000,1103,1105,1105,953,953,953,1005,1
     1005,1005,1005,1005),NJ2
  990 T6=19.5
      L=AIN(1)/100000.
      ILAST=1
      DXW=0.
      DYW=0.
      GO TO 1030
  995 T6=250.5
      ILAST=18
      T1=HGT*4.
      DXW=COSTH*T1
      DYW=SINTH*T1
      GO TO 1030
 1000 T6=16.0+3.5*(NJ3-4)
      DIST=SQRT(VV(XW(1,3),XW(1,3)))/SCAL1
      GO TO 1030
C     ***** TRUE PERSPECTIVE LABELS *****
 1005 CALL UNIT(XW(1,3),VT(1,1),1)
      IF(ABS(VT(3,1))-.9994)1010,952,952
C     ***** FORM PERSPECTIVE ROTATION MATRIX *****
 1010 CALL NORM(AID(1,3),VT(1,1),VT(1,2),1)
      CALL UNIT(VT(1,2),VT(1,2),1)
      CALL NORM(VT(1,1),VT(1,2),VT(1,3),1)
      DO 1015 J=1,3
 1015 VT(J,4)=X(J)
      ITILT=1
      HGT=AIN(5)
      TH=0.
      Y(3)=X(3)
      Y(2)=X(2)+AIN(7)-HGT*.5
      IF(NJ2-13)1030,1025,1020
C     ***** PERSPECTIVE BOND LABELS *****
 1020 Y(1)=X(1)+AIN(6)-HGT*(23.0-3.5*(6-NJ3))/7.
      DIST=SQRT(VV(XW(1,3),XW(1,3)))/SCAL1
      GO TO 1050
C     ***** PERSPECTIVE TITLES *****
 1025 Y(1)=X(1)+AIN(6)-HGT*250.5/7.
      ILAST=18
      DXW=HGT*4.
      DYW=0.
      GO TO 1050
 1030 DH=HGT*T6/7.
      DV=HGT*.5
      Y(1)=Y(1)-DH*COSTH+DV*SINTH
      Y(2)=Y(2)-DH*SINTH-DV*COSTH
      Y(3)=0.
C     ***** PLOT VARIOUS LABELS *****
 1050 Z(3)=Y(3)
      XO(3)=Y(3)
      GO TO(1060,1060,1060,1090,1090,1090,1104,1105,1105),NJ3
 1060 DO 1085 I=1,ILAST
      DO 1075 J=1,3,2
      Z(1)=Y(1)+FLOAT(J-2)*DISP*.5
      DO 1075 K=1,3,2
      Z(2)=Y(2)+FLOAT(K-2)*DISP*.5
      IF(NJ3-2)1065,1068,1068
C     ***** PLOT CHEMICAL SYMBOL *****
 1065 CALL SIMBOL(Z(1)+SHIFTX, Z(2)+SHIFTY, HGT,CHEM(L),TH,6)
      GO TO 1070
C     ***** PLOT TITLES *****
 1068 XPAGE= Z(1)+SHIFTX
      YPAGE= Z(2)+SHIFTY
      CALL SIMBOL (XPAGE,YPAGE, HGT, TITLE2(I), TH,4)
 1070 IF(DISP) 1080,1080,1075
 1075 CONTINUE
 1080 Y(1) = XPAGE-SHIFTX
 1085 Y(2) = YPAGE-SHIFTY
      GO TO 1199
C     ***** PLOT BOND DISTANCE LABELS *****
 1090 I9=NJ3-3
      T9=10.**I9
      DISTR=DIST+.5/T9
      WRITE(NOUT,1100) DIST
 1100 FORMAT(1H0,10X,11HDISTANCE = ,F8.3)
      CALL NUMBUR(Y(1),Y(2),HGT,DISTR,TH,I9)
      GO TO 1199
C     ***** PLOT CENTERED SYMBOLS *****
 1103 DIST = SQRT(VV(XW(1,3),XW(1,3)))/SCAL1
 1104 IF(DIST .LT. .01) GO TO 952
      IF(NG .NE. 0) GO TO 953
      NJ3 = 8
      TH = TH-90.
 1105 CALL ZSYMBG(Y(1)+SHIFTX, Y(2)+SHIFTY, HGT, IFIX(AIN(8)), TH,
     * 7-NJ3)
 1199 ITILT=0
      RETURN
      END
